import React, { Component } from 'react';
import PropTypes from 'prop-types';
import isEmpty from 'lodash/isEmpty';

import Row from './Row';
import '../.././datagrid.css';

/*
 The TableBody component for the grid which will render - Row and RenderTableBody.
 @type {class}
 */
class TableBody extends Component {
  render() {
    const RenderTableBody = ({ tableData, metaData, styles }) => {
      if (isEmpty(tableData)) {
        return null;
      }
      return tableData.map(rowData => (
        <Row
          data={rowData}
          metaData={metaData}
          styles={styles}
          key={rowData.id}
        />
      ));
    };
    return (
      <div className="table-body">
        <RenderTableBody
          tableData={this.props.tableData}
          metaData={this.props.metaData}
          styles={this.props.styles}
        />
      </div>
    );
  }
}

TableBody.propTypes = {
  tableData: PropTypes.array,
  metaData: PropTypes.object,
  styles: PropTypes.object,
};

TableBody.defaultProps = {
  tableData: [],
  metaData: {},
  styles: {},
};

export default TableBody;

