export const getFilterData = (filterConfig, data) => {
  const { searchEntity, selectedColumn } = filterConfig;
  const searchedData = [];
  if (searchEntity === '') {
    return data;
  } else if (selectedColumn !== 'all') {
    return data.filter(dataObj =>
      dataObj[selectedColumn].toLowerCase().includes(searchEntity.toLowerCase()));
  }
  data.forEach((object) => {
    let isPresent = false;
    for (const key in object) {
      if ((key !== 'id') && (String(object[key]).toLowerCase().indexOf(searchEntity.toLowerCase()) !== -1) && !isPresent) {
        searchedData.push(object);
        isPresent = true;
      }
    }
  });
  return searchedData;
};
export const filterData = (appliedFilter, data) => {
  let filteredData = [...data];
  for (const column in appliedFilter) {
    const filterConfig = {
      searchEntity: appliedFilter[column],
      selectedColumn: column,
    };
    filteredData = getFilterData(filterConfig, filteredData);
  }
  return filteredData;
};
